# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-DateTime-TimeZone
Version:	2.64
Release:	1.0.cf.%{__distinit}%{__distvers}
Summary:	Time zone object base class and factory
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/DateTime-TimeZone
Source0:	https://cpan.metacpan.org/modules/by-module/DateTime/DateTime-TimeZone-%{version}.tar.gz
Patch0:		DateTime-TimeZone-2.62-List-Utils-any.patch
Patch1:		DateTime-TimeZone-1.77-skip-count.patch
Patch5:		DateTime-TimeZone-2.63-spelling.patch
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(Class::Singleton) >= 1.03
BuildRequires:	perl(constant)
BuildRequires:	perl(Cwd) >= 3
# DateTime and DateTime::TimeZone both require each other, so we can't run
# their test suites when bootstrapping
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(DateTime)
BuildRequires:	perl(DateTime::Duration)
%endif
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(File::Compare)
BuildRequires:	perl(File::Find)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(List::Util)
BuildRequires:	perl(Module::Runtime)
BuildRequires:	perl(namespace::autoclean)
BuildRequires:	perl(Params::ValidationCompiler) >= 0.13
BuildRequires:	perl(parent)
BuildRequires:	perl(Specio::Library::Builtins)
BuildRequires:	perl(Specio::Library::String)
BuildRequires:	perl(strict)
BuildRequires:	perl(Try::Tiny)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(base)
BuildRequires:	perl(CPAN::Meta) >= 2.120900
BuildRequires:	perl(File::Copy)
BuildRequires:	perl(File::Path)
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(lib)
BuildRequires:	perl(overload)
BuildRequires:	perl(Storable)
BuildRequires:	perl(Sys::Hostname)
BuildRequires:	perl(Test::Fatal)
BuildRequires:	perl(Test::More) >= 0.96
BuildRequires:	perl(Test::Output)
BuildRequires:	perl(Test::Requires)
BuildRequires:	perl(Test::Taint)
%if 0%{!?perl_bootstrap:1}
# Author Tests
BuildRequires:	perl(blib)
BuildRequires:	perl(IO::Handle)
BuildRequires:	perl(IPC::Open3)
BuildRequires:	perl(Pod::Wordlist)
BuildRequires:	perl(Test::CleanNamespaces) >= 0.15
BuildRequires:	perl(Test::EOL)
BuildRequires:	perl(Test::Mojibake)
BuildRequires:	perl(Test::NoTabs)
BuildRequires:	perl(Test::Pod) >= 1.41
BuildRequires:	perl(Test::Spelling) >= 0.17, hunspell-en
BuildRequires:	perl(Test::Version) >= 2.05
# Release Tests
BuildRequires:	perl(Pod::Coverage::TrustPod)
BuildRequires:	perl(Test::CPAN::Changes) >= 0.19
BuildRequires:	perl(Test::CPAN::Meta::JSON)
BuildRequires:	perl(Test::Pod::Coverage) >= 1.08
BuildRequires:	perl(Test::Portability::Files)
%endif
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif
Requires:	perl(File::Basename)
Requires:	perl(File::Compare)
Requires:	perl(File::Find)

%description
This class is the base class for all time zone objects. A time zone is
represented internally as a set of observances, each of which describes the
offset from GMT for a given time period.

Note that without the DateTime.pm module, this module does not do much. Its
primary interface is through a DateTime object, and most users will not need
to directly use DateTime::TimeZone methods.

%prep
%setup -q -n DateTime-TimeZone-%{version}

# Avoid redundant need for relatively recent List::Utils version 1.33
%patch -P 0

# Fix a skip count in DateTime::TimeZone test 04local.t
%patch -P 1

# Add extra stopwords to spellchecker test
%patch -P 5

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

# Author and Release Tests
%if 0%{!?perl_bootstrap:1}
make test TEST_FILES="$(echo $(find xt/ -name '*.t'))"
%endif

%files
%license LICENSE
%doc Changes CODE_OF_CONDUCT.md CONTRIBUTING.md README.md
%{perl_vendorlib}/DateTime/
%{_mandir}/man3/DateTime::TimeZone.3*
%{_mandir}/man3/DateTime::TimeZone::Catalog.3*
%{_mandir}/man3/DateTime::TimeZone::Floating.3*
%{_mandir}/man3/DateTime::TimeZone::Local.3*
%{_mandir}/man3/DateTime::TimeZone::Local::Unix.3*
%{_mandir}/man3/DateTime::TimeZone::Local::VMS.3*
%{_mandir}/man3/DateTime::TimeZone::OffsetOnly.3*
%{_mandir}/man3/DateTime::TimeZone::OlsonDB.3*
%{_mandir}/man3/DateTime::TimeZone::UTC.3*

%changelog
* Fri Jan 17 2025 Paul Howarth <paul@city-fan.org> - 2.64-1.0.cf
- Update to 2.64
  - This release is based on version 2025a of the Olson database
  - Contemporary changes for Paraguay

* Sun Sep  8 2024 Paul Howarth <paul@city-fan.org> - 2.63-1.0.cf
- Update to 2.63
  - This release is based on version 2024b of the Olson database
  - This release does not include any changes to current or future zones, only
    historical changes

* Fri Feb  2 2024 Paul Howarth <paul@city-fan.org> - 2.62-1.0.cf
- Update to 2.62
  - This release is based on version 2024a of the Olson database
  - Contemporary changes for Kazakhstan and Palestine

* Sun Dec 31 2023 Paul Howarth <paul@city-fan.org> - 2.61-1.0.cf
- Update to 2.61
  - This release is based on version 2023d of the Olson database
  - Contemporary changes for Antarctica, Greenland, and Palestine

* Wed Mar 29 2023 Paul Howarth <paul@city-fan.org> - 2.60-1.0.cf
- Update to 2.60
  - This release is based on version 2023c of the Olson database
  - The 2023c release has the same zone data as 2023a, undoing the changes for
    Lebanon from the past week

* Sat Mar 25 2023 Paul Howarth <paul@city-fan.org> - 2.59-1.0.cf
- Update to 2.59
  - This release is based on version 2023b of the Olson database
  - Contemporary changes for Lebanon

* Fri Mar 24 2023 Paul Howarth <paul@city-fan.org> - 2.58-1.0.cf
- Update to 2.58
  - This release is based on version 2023a of the Olson database
  - Contemporary changes for Egypt, Greenland, Morocco, and Palestine
- Avoid deprecated patch syntax

* Wed Dec 14 2022 Paul Howarth <paul@city-fan.org> - 2.57-1.0.cf
- Update to 2.57
  - This release is based on version 2022g of the Olson database
  - Contemporary changes for Greenland and Mexico

* Sat Oct 29 2022 Paul Howarth <paul@city-fan.org> - 2.56-1.0.cf
- Update to 2.56
  - This release is based on version 2022f of the Olson database
  - Contemporary changes for Fiji and Mexico
- Use SPDX-format license tag

* Wed Oct 12 2022 Paul Howarth <paul@city-fan.org> - 2.55-1.0.cf
- Update to 2.55
  - This release is based on version 2022e of the Olson database
  - Contemporary changes for Jordan and Syria

* Mon Sep 26 2022 Paul Howarth <paul@city-fan.org> - 2.54-1.0.cf
- Update to 2.54
  - This release is based on version 2022d of the Olson database
  - Contemporary changes for Palestine

* Sun Aug 14 2022 Paul Howarth <paul@city-fan.org> - 2.53-1.0.cf
- Update to 2.53
  - This release is based on version 2022b of the Olson database
  - Contemporary changes for Chile and Iran

* Thu Mar 17 2022 Paul Howarth <paul@city-fan.org> - 2.52-1.0.cf
- Update to 2.52
  - This release is based on version 2022a of the Olson database
  - Contemporary changes for Palestine

* Fri Oct 22 2021 Paul Howarth <paul@city-fan.org> - 2.51-1.0.cf
- Update to 2.51
  - This release is based on version 2021e of the Olson database
  - Contemporary changes for Palestine

* Mon Oct 18 2021 Paul Howarth <paul@city-fan.org> - 2.50-1.0.cf
- Update to 2.50
  - This release is based on version 2021b of the Olson database
  - Contemporary changes for Fiji

* Mon Oct  4 2021 Paul Howarth <paul@city-fan.org> - 2.49-1.0.cf
- Update to 2.49
  - This release is based on version 2021c of the Olson database
  - Fix the zone links for Atlantic/Jan_Mayen and America/Virgin

* Mon Sep 27 2021 Paul Howarth <paul@city-fan.org> - 2.48-1.0.cf
- Update to 2.48
  - This release is based on version 2021b of the Olson database
  - Contemporary changes for Jordan and Samoa
- Fix dist tags for Alma and Rocky Linux

* Mon Jan 25 2021 Paul Howarth <paul@city-fan.org> - 2.47-1.0.cf
- Update to 2.47
  - This release is based on version 2021a of the Olson database
  - Contemporary changes for South Sudan
- Use %%license unconditionally

* Wed Dec 23 2020 Paul Howarth <paul@city-fan.org> - 2.46-1.0.cf
- Update to 2.46
  - This release is based on version 2020e of the Olson database
  - Contemporary changes for Russia (Volgograd)
  - Fixed handling of Etc/GMT[+-]XX zones: confusingly, the POSIX interpretation
    is that Etc/GMT+1 is 1 hour _behind_ UTC, and Etc/GMT-1 is 1 hour ahead,
    which is the opposite of what this module started doing in the 2.38 release
    when it added support for these zones (GH#47)

* Sun Nov  8 2020 Paul Howarth <paul@city-fan.org> - 2.44-1.0.cf
- Update to 2.44
  - The DateTime::TimeZone->offset_as_string method now accepts an optional
    separator string

* Thu Oct 22 2020 Paul Howarth <paul@city-fan.org> - 2.43-1.0.cf
- Update to 2.43
  - This release is based on version 2020c of the Olson database
  - Contemporary changes for Palestine

* Sat Oct 17 2020 Paul Howarth <paul@city-fan.org> - 2.42-1.0.cf
- Update to 2.42
  - This release is based on version 2020c of the Olson database
  - Contemporary changes for Fiji

* Wed Oct  7 2020 Paul Howarth <paul@city-fan.org> - 2.41-1.0.cf
- Update to 2.41
  - This release is based on version 2020b of the Olson database
  - Contemporary changes for Morocco, Casey Station, and the Yukon
  - Remove the very long-deprecated "US/Pacific-New" zone name
  - Added a custom dzil plugin to make sure that the release has all of the
    generated data files

* Fri Apr 24 2020 Paul Howarth <paul@city-fan.org> - 2.39-1.0.cf
- Update to 2.39
  - This release is based on version 2020a of the Olson database
  - Contemporary changes for Morocco and the Yukon

* Sat Nov 16 2019 Paul Howarth <paul@city-fan.org> - 2.38-1.0.cf
- Update to 2.38
  - Added support for Etc/GMT and Etc/UTC style zones like "Etc/GMT-2" or
    "Etc/UTC+12" (GH#38)

* Thu Sep 12 2019 Paul Howarth <paul@city-fan.org> - 2.37-1.0.cf
- Update to 2.37
  - This release is based on version 2019c of the Olson database
  - Contemporary changes for Fiji and Norfolk Island

* Tue Jul  2 2019 Paul Howarth <paul@city-fan.org> - 2.36-1.0.cf
- Update to 2.36
  - This release is based on version 2019b of the Olson database
  - Contemporary changes for Brazil and Palestine

* Sun Jun  9 2019 Paul Howarth <paul@city-fan.org> - 2.35-3.0.cf
- Perl 5.30 rebuild

* Mon Apr 22 2019 Paul Howarth <paul@city-fan.org> - 2.35-1.0.cf
- Update to 2.35
  - Handle "infinity" as a representation of infinite values in serialized
    objects; on Solaris we end up with "infinity" and "-infinity" as opposed to
    just "inf" and "-inf" (GH#36)

* Wed Mar 27 2019 Paul Howarth <paul@city-fan.org> - 2.34-1.0.cf
- Update to 2.34
  - This release is based on version 2019a of the Olson database
  - Contemporary changes for Palestine and Metlakatla, Alaska

* Wed Jan  2 2019 Paul Howarth <paul@city-fan.org> - 2.23-1.0.cf
- Update to 2.23
  - This release is based on version 2018i of the Olson database
  - Contemporary changes for Morocco, Kazakhstan, Iran, São Tomé and Príncipe
- Switch upstream from search.cpan.org to metacpan.org

* Sun Oct 28 2018 Paul Howarth <paul@city-fan.org> - 2.21-1.0.cf
- Update to 2.21
  - This release is based on version 2018f of the Olson database
  - Contemporary changes for Morocco

* Thu Oct 18 2018 Paul Howarth <paul@city-fan.org> - 2.20-1.0.cf
- Update to 2.20
  - Added more documentation on how local time zones work, and a warning to set
    $ENV{TZ} if you're writing tests for code that tries to use the local time
    zone
  - This release is based on version 2018f of the Olson database
  - Contemporary changes for Russia (Volgograd), Fiji, and Chile

* Mon May 14 2018 Paul Howarth <paul@city-fan.org> - 2.19-1.0.cf
- Update to 2.19
  - This release is based on version 2018e of the Olson database
  - Contemporary changes for North Korea

* Mon Mar 26 2018 Paul Howarth <paul@city-fan.org> - 2.18-1.0.cf
- Update to 2.18
  - This release is based on version 2018d of the Olson database
  - Contemporary changes for Palestine and Casey Station

* Wed Jan 24 2018 Paul Howarth <paul@city-fan.org> - 2.17-1.0.cf
- Update to 2.17
  - This release is based on version 2018b of the Olson database
  - Revert the changes for Ireland in the previous version as these caused
    breakages in some systems that consumed the IANA time zone data

* Mon Jan 22 2018 Paul Howarth <paul@city-fan.org> - 2.16-1.0.cf
- Update to 2.16
  - This release is based on version 2018b of the Olson database
  - Contemporary changes for São Tomé and Príncipe, Brazil, and Ireland
  - The 2018a was skipped because it was missing a file, but there are no data
    changes from 2018a to 2018b

* Mon Nov  6 2017 Paul Howarth <paul@city-fan.org> - 2.15-1.0.cf
- Update to 2.15
  - Make the local zone lookup code handle the case where /usr/share/zoneinfo
    is a symlink, as it apparently is on recent versions of macOS (10.13)
    (GH#22, GH#23)

* Mon Oct 30 2017 Paul Howarth <paul@city-fan.org> - 2.14-1.0.cf
- Update to 2.14
  - This release is based on version 2017c of the Olson database
  - Contemporary changes for Fiji, Namibia, Northern Cyprus, Sudan, Tonga,
    and Turks & Caicos

* Fri Jun  2 2017 Paul Howarth <paul@city-fan.org> - 2.13-1.0.cf
- Update to 2.13
  - Fix indexing of DateTime::TimeZone::Catalog on metacpan again; no real
    code or zone changes (GH#19)
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - Drop workaround for building with Test::More < 0.96
  - Spell checker is always hunspell now

* Wed Mar 22 2017 Paul Howarth <paul@city-fan.org> - 2.11-1.0.cf
- Update to 2.11
  - This release is based on version 2017b of the Olson database
  - Contemporary changes for Haiti

* Thu Mar  2 2017 Paul Howarth <paul@city-fan.org> - 2.10-1.0.cf
- Update to 2.10
  - This release is based on version 2017a of the Olson database
  - Contemporary changes for Mongolia and Chile

* Thu Nov 24 2016 Paul Howarth <paul@city-fan.org> - 2.09-1.0.cf
- Update to 2.09
  - This release is based on version 2016j of the Olson database
  - Contemporary changes for Russia (Europe/Saratov)

* Mon Nov 14 2016 Paul Howarth <paul@city-fan.org> - 2.08-1.0.cf
- Update to 2.08
  - Switched from RT to the GitHub issue tracker

* Thu Nov  3 2016 Paul Howarth <paul@city-fan.org> - 2.07-1.0.cf
- Update to 2.07
  - This release is based on version 2016i of the Olson database
  - Contemporary changes for Tonga and Antarctica/Casey
  - There is also a new zone for Northern Cyprus, Asia/Famagusta, which
    differs from other parts of Cyprus

* Fri Oct 21 2016 Paul Howarth <paul@city-fan.org> - 2.06-1.0.cf
- Update to 2.06
  - This release is based on version 2016h of the Olson database
  - Contemporary changes for Palestine
- Update patch to support building without Test::Code::TidyAll

* Thu Sep 29 2016 Paul Howarth <paul@city-fan.org> - 2.05-1.0.cf
- Update to 2.05
  - This release is based on version 2016g of the Olson database
  - Contemporary changes for Turkey

* Tue Sep 27 2016 Paul Howarth <paul@city-fan.org> - 2.04-1.0.cf
- Update to 2.04
  - Automatically add the latest version of DateTime::Time::Local::Win32 as a
    prereq on Windows system when building the release

* Sun Sep 18 2016 Paul Howarth <paul@city-fan.org> - 2.03-1.0.cf
- Update to 2.03
  - Replaced Params::Validate with Params::ValidationCompiler
  - Bump minimum required Perl to 5.8.4 from 5.8.1; this matches DateTime.pm
    itself
- Add patch to support building without Test::Code::TidyAll
- Instead of making extensive changes to the test suite to accommodate old
  versions of Test::More, bundle a suitably-recent version to use if necessary
- Update other patches as needed

* Mon Jul 18 2016 Paul Howarth <paul@city-fan.org> - 2.01-1.0.cf
- Update to 2.01
  - This release is based on version 2016f of the Olson database
  - Contemporary changes for Egypt and Russia
  - The changes for Egypt supersede the ones in 2016e
- Update patches as needed

* Mon Jun 13 2016 Paul Howarth <paul@city-fan.org> - 2.00-1.0.cf
- Update to 2.00
  - When parsing the POSIX zones in the etcetera file, don't special-case the
    ETC[+-]NN zones, which are weirdly named, as ETC+8 is 8 hours *behind* UTC,
    and -6 is 6 hours *ahead*; previously, we were swapping these so the name
    matched the sane usage, but this is confusing for anyone who is explicitly
    trying to use the POSIX names, expecting the bizarre (but POSIXly correct)
    interpretation (GH#7)
- Update patches as needed
- BR: perl-generators where available

* Wed Apr 20 2016 Paul Howarth <paul@city-fan.org> - 1.98-1.0.cf
- Update to 1.98
  - This release is based on version 2016d of the Olson database
  - Contemporary changes for Russia and Venezuela
- Author and Release Tests moved to xt/
- Update patches as needed

* Thu Mar 24 2016 Paul Howarth <paul@city-fan.org> - 1.97-1.0.cf
- Update to 1.97
  - This release is based on version 2016c of the Olson database
  - Contemporary changes for Azerbaijan and Chile
- Update spelling patch

* Wed Mar 16 2016 Paul Howarth <paul@city-fan.org> - 1.96-1.0.cf
- Update to 1.96
  - This release is based on version 2016b of the Olson database
  - Contemporary changes for Russia, Haiti, and Palestine

* Thu Jan 28 2016 Paul Howarth <paul@city-fan.org> - 1.95-1.0.cf
- Update to 1.95
  - This release is based on version 2016a of the Olson database
  - Contemporary changes for the Cayman Islands, Iran, and Chrita, Russia

* Thu Oct 22 2015 Paul Howarth <paul@city-fan.org> - 1.94-1.0.cf
- Update to 1.94
  - This release is based on version 2015g of the Olson database
  - Contemporary changes for Turkey, Norfolk, Fiji, and Fort Nelson
- Drop patch for old Test::Builder on 5.8.8, which no longer seems to be
  needed

* Tue Aug 11 2015 Paul Howarth <paul@city-fan.org> - 1.93-1.0.cf
- Update to 1.93
  - This release is based on version 2015f of the Olson database
  - Contemporary changes for Moldova, North Korea, and Uruguay
- Update patches as needed

* Mon Jun 22 2015 Paul Howarth <paul@city-fan.org> - 1.92-1.0.cf
- Update to 1.92
  - This release is based on version 2015e of the Olson database
  - Contemporary changes for Morocco and Cayman Islands
  - This distro now depends on DateTime::TimeZone::Local::Win32 when it is
    being installed on a Windows OS (CPAN RT#103275)
- Update patches as needed

* Fri May 15 2015 Paul Howarth <paul@city-fan.org> - 1.90-1.0.cf
- Update to 1.90
  - Fix a syntax error in the Android local time zone module (CPAN RT#104105)
  - Made the compilation test an author-only test, as many of the modules in
    this distribution try to load DateTime, but DateTime depends on this
    distribution, which caused attempts to install DateTime on a fresh perl
    install to fail (CPAN RT#104448)

* Sun Apr 26 2015 Paul Howarth <paul@city-fan.org> - 1.88-1.0.cf
- Update to 1.88
  - This release is based on version 2015d of the Olson database
  - Contemporary changes for Egypt

* Tue Apr 21 2015 Paul Howarth <paul@city-fan.org> - 1.87-1.0.cf
- Update to 1.87
  - This release is based on version 2015c of the Olson database
  - Contemporary changes for Egypt, though it looks like those will change
    again soon
- Update patches as needed

* Mon Mar 23 2015 Paul Howarth <paul@city-fan.org> - 1.86-1.0.cf
- Update to 1.86
  - This release is based on version 2015b of the Olson database
  - Contemporary changes for Mongolia and Palestine
- Update patches as needed

* Mon Feb  2 2015 Paul Howarth <paul@city-fan.org> - 1.85-1.0.cf
- Update to 1.85
  - This release is based on version 2015a of the Olson database
  - Contemporary changes for Quintana Roo and Chile
- Update patches as needed

* Mon Jan 26 2015 Paul Howarth <paul@city-fan.org> - 1.84-1.0.cf
- Update to 1.84
  - Removed the per-OS prereqs on DateTime::TimeZone::HPUX and
    DateTime::TimeZone::Local::Win32; this gets rid of circular dependencies
    between those distros and this one (CPAN RT#68231,101588,101589)
- Run the tests in the en_US locale to avoid aspell segfaults on old
  distributions
- Use hunspell rather than aspell on more recent distributions
- Drop now-redundant dependency filter
- Update patches as needed

* Mon Jan  5 2015 Paul Howarth <paul@city-fan.org> - 1.83-1.0.cf
- Update to 1.83
  - Various changes to get tests passing and tools code working with blead;
    this includes fixing some "Redundant argument in sprintf" warnings that
    could occur in the DateTime test suite (CPAN RT#101116)
  - Attempting to fix indexing of DateTime::TimeZone::Catalog on metacpan
- Update patches as needed

* Fri Nov 21 2014 Paul Howarth <paul@city-fan.org> - 1.81-1.0.cf
- Update to 1.81
  - Removed tests for Win32 code
- Update patches as needed

* Mon Nov 17 2014 Paul Howarth <paul@city-fan.org> - 1.80-1.0.cf
- Update to 1.80
  - This distro no longer ships the DateTime::TimeZone::Local::Win32 module;
    instead, it depends on that module when you install DateTime::TimeZone on
    a Windows system machine
  - Tweaked the warning when loading a zone class from disk that was generated
    using a different Olson version than the current DateTime::TimeZone module;
    previously, it said the loaded version was older, but all we know is that
    it's different (CPAN RT#66097)

* Tue Nov 11 2014 Paul Howarth <paul@city-fan.org> - 1.79-1.0.cf
- Update to 1.79
  - This release is based on version 2014j of the Olson database
  - Contemporary changes for Turks & Caicos
- Update patches as needed

* Thu Nov  6 2014 Paul Howarth <paul@city-fan.org> - 1.78-1.0.cf
- Update to 1.78
  - Fix warnings from Perl 5.8.8 and before; apparently it doesn't like when
    $SIG{__DIE__} is set to undef (PR#88)
- Drop local warnings patch

* Wed Nov  5 2014 Paul Howarth <paul@city-fan.org> - 1.77-1.0.cf
- Update to 1.77
  - Updated the mapping of Windows → IANA time zones (CPAN RT#10025)
  - Replaced Class::Load with Module::Runtime, and replaced eval with Try::Tiny
- Update patches as needed
- Add patch to get rid of warnings with perl 5.8
- Add patch to fix a skip count in DateTime::TimeZone test 04local.t

* Tue Oct 28 2014 Paul Howarth <paul@city-fan.org> - 1.76-1.0.cf
- Update to 1.76
  - When searching for the local timezone we now look at /etc/timezone before
    /etc/localtime; the former is a much quicker check if it exists (PR#3)
  - The tools/parse_olson script now supports parsing the etcetera and systemv
    files; this is *not* enabled by default as it would generate zones that
    conflict with existing links for Etc/UTC and others (PR#1)
- Update patches as needed

* Wed Oct  1 2014 Paul Howarth <paul@city-fan.org> - 1.75-1.0.cf
- Update to 1.75
  - This release is based on version 2014h of the Olson database
  - Only includes historical changes
- Classify buildreqs by usage

* Mon Sep 15 2014 Paul Howarth <paul@city-fan.org> - 1.74-3.0.cf
- BR: perl(Test::Spelling) unconditionally

* Tue Sep  2 2014 Paul Howarth <paul@city-fan.org> - 1.74-1.0.cf
- Update to 1.74
  - This release is based on version 2014g of the Olson database
  - Contemporary changes for Turks & Caicos
  - Fixed a bug when trying to get the local timezone by looking at
    /etc/sysconfig/clock (GitHub PR#2)
- Update patches as needed

* Tue Aug 12 2014 Paul Howarth <paul@city-fan.org> - 1.73-1.0.cf
- Update to 1.73
  - This release is based on version 2014f of the Olson database
  - Contemporary changes for Russia and Australia
  - Added support for getting the local time zone on Android (CPAN RT#97711)
  - The primary repo for this distro is now on GitHub
- Use %%license where possible
- Update patches as needed

* Mon Jun 23 2014 Paul Howarth <paul@city-fan.org> - 1.71-1.0.cf
- Update to 1.71
  - This release is based on version 2014e of the Olson database
  - Contemporary changes for Egypt and Morocco
- Add patch to avoid the need for List::AllUtils

* Tue Jun 10 2014 Paul Howarth <paul@city-fan.org> - 1.70-1.0.cf
- Update to 1.70
  - Unset $ENV{TZ} in t/04local.t test to avoid interference from system
    (CPAN RT#96083)
  - This release is based on version 2014d of the IANA database, but there are
    no data changes from 2014c
- Update patch for building with Test::More < 0.88

* Thu May 15 2014 Paul Howarth <paul@city-fan.org> - 1.69-1.0.cf
- Update to 1.69
  - Don't run tests for Unix on non-Unix boxes

* Wed May 14 2014 Paul Howarth <paul@city-fan.org> - 1.68-1.0.cf
- Update to 1.68
  - This release is based on version 2014c of the IANA database
  - Contemporary changes for Crimea and Troll Station, Antarctica from 2014b
  - Contemporary changes for Egypt from 2014c
- Update patch for building with Perl 5.8.8
- Update patch for building with Test::More < 0.88
- Drop support for old distributions prior to FC-5
  - Drop patch for building with Cwd < 3
  - Drop patch for building with ExtUtils::MakeMaker < 6.30
  - Drop %%defattr, redundant since rpm 4.4
  - BR: Test::Requires unconditionally

* Mon Mar 10 2014 Paul Howarth <paul@city-fan.org> - 1.65-1.0.cf
- Update to 1.65
  - This release is based on version 2014a of the Olson database
  - Contemporary changes for Turkey

* Sat Feb  8 2014 Paul Howarth <paul@city-fan.org> - 1.64-1.0.cf
- Update to 1.64
  - Under taint mode, DateTime::TimeZone->new( name => 'local' ) could die
    depending on the method used to find the local time zone name, and the
    resulting variable would often be tainted; we now untaint all names
    before attempting to load them (CPAN RT#92631)
- Update patches as needed

* Thu Jan 16 2014 Paul Howarth <paul@city-fan.org> - 1.63-2.0.cf
- Don't BR: perl(Test::Spelling) when bootstrapping

* Mon Oct 28 2013 Paul Howarth <paul@city-fan.org> - 1.63-1.0.cf
- Update to 1.63
  - This release is based on version 2013h of the Olson database
  - Contemporary changes for Morocco, Libya, and Western Sahara (El Aaiun)

* Thu Sep 26 2013 Paul Howarth <paul@city-fan.org> - 1.62-1.0.cf
- Update to 1.62
  - This release is based on version 2013f of the Olson database
  - Contemporary changes for Tocantins, Jordan, and Palestine

* Sat Sep 21 2013 Paul Howarth <paul@city-fan.org> - 1.61-1.0.cf
- Update to 1.61
  - This release is based on version 2013e of the Olson database
  - Contemporary changes for Fiji, Indonesia and San Luis, Argentina
  - Also a number of historical changes
  - See http://mm.icann.org/pipermail/tz-announce/2013-September/000013.html
    for more details

* Wed Jul 24 2013 Paul Howarth <paul@city-fan.org> - 1.60-2.0.cf
- Perl 5.18 rebuild

* Mon Jul  8 2013 Paul Howarth <paul@city-fan.org> - 1.60-1.0.cf
- Update to 1.60
  - This release is based on version 2013d of the Olson database
  - Contemporary changes for Morocco and Israel
  - Historical changes for Jerusalem
- Update old-Cwd patch to avoid inclusion of .orig file in built package

* Sat Apr 20 2013 Paul Howarth <paul@city-fan.org> - 1.59-1.0.cf
- Update to 1.59:
  - This release is based on version 2013c of the Olson database
  - Contemporary changes for Palestine and Paraguay
  - Also a number of historical changes
- Update patches as necessary

* Tue Mar 12 2013 Paul Howarth <paul@city-fan.org> - 1.58-1.0.cf
- Update to 1.58:
  - This release is based on version 2013b of the Olson database
  - Contemporary changes for Haiti, Paraguay, and Morocco
  - See http://mm.icann.org/pipermail/tz-announce/2013-March/000010.html for
    more details

* Sun Mar  3 2013 Paul Howarth <paul@city-fan.org> - 1.57-1.0.cf
- Update to 1.57:
  - This release is based on version 2013a of the Olson database
  - Contemporary changes for Chile as well as several new zones: Asia/Khandyga,
    Asia/Ust-Nera, and Europe/Busingen
  - Also a number of historical changes
- Update POD spelling patch to account for Test::Spelling seeming to be more
  fussy about case than before

* Sat Dec  1 2012 Paul Howarth <paul@city-fan.org> - 1.56-1.0.cf
- Update to 1.56:
  - Updated mapping from Win32 to Olson time zone names (CPAN RT#81456)

* Tue Nov 13 2012 Paul Howarth <paul@city-fan.org> - 1.54-1.0.cf
- Update to 1.54:
  - This release is based on version 2012j of the Olson database
  - Contemporary changes for Libya

* Sun Nov  4 2012 Paul Howarth <paul@city-fan.org> - 1.53-1.0.cf
- Update to 1.53:
  - This release is based on version 2012i of the Olson database
  - Contemporary changes for Cuba

* Wed Oct 31 2012 Paul Howarth <paul@city-fan.org> - 1.52-1.0.cf
- Update to 1.52:
  - This release is based on version 2012h of the Olson database
  - Contemporary changes for Brazil, Israel, and Jordan
- NoTabs test dropped upstream, so drop BR: perl(Test::NoTabs)
- Update spelling patch

* Thu Oct 18 2012 Paul Howarth <paul@city-fan.org> - 1.51-1.0.cf
- Update to 1.51:
  - This release is based on version 2012g of the Olson database
  - Contemporary changes for Palestine and Samoa

* Mon Sep 17 2012 Paul Howarth <paul@city-fan.org> - 1.50-1.0.cf
- Update to 1.50:
  - In scalar context, DateTime::TimeZone->names_in_category returned an
    arrayref containing an arrayref, rather than _just_ an arrayref
    (CPAN RT#76791)
  - The DateTime::TimeZone->names_in_category documentation claimed that it
    returned names based on the population of the zone, which is not true
    (CPAN RT#76792); note though that the DateTime::TimeZone->names_in_country
    method does preserve the order specified in the Olson database, which is
    sort of based on population and geography and is probably the best choice
    for presenting a list of names to end user
- Update patch for building with old Test::More versions

* Thu Sep 13 2012 Paul Howarth <paul@city-fan.org> - 1.49-1.0.cf
- Update to 1.49:
  - This release is based on version 2012f of the Olson database
  - Contemporary changes for Fiji

* Fri Aug  3 2012 Paul Howarth <paul@city-fan.org> - 1.48-1.0.cf
- Update to 1.48:
  - This release is based on version 2012e of the Olson database
  - Contemporary changes for Fakaofo

* Fri Jul 20 2012 Paul Howarth <paul@city-fan.org> - 1.47-1.0.cf
- Update to 1.47:
  - This release is based on version 2012d of the Olson database
  - Contemporary changes for Morocco

* Mon Jul 16 2012 Paul Howarth <paul@city-fan.org> - 1.46-3.0.cf
- Perl 5.16 post-bootstrap rebuild

* Thu Jul 12 2012 Paul Howarth <paul@city-fan.org> - 1.46-2.0.cf
- BR: perl(base), perl(constant), perl(File::Spec), perl(lib),
  perl(List::Util) and perl(Storable)
- BR: perl(DateTime::Duration) unless we're bootstrapping

* Mon Apr  2 2012 Paul Howarth <paul@city-fan.org> - 1.46-1.0.cf
- Update to 1.46:
  - This release is based on version 2012c of the Olson database
  - Contemporary changes for Morocco, Palestine, Syria, and Haiti

* Sat Mar  3 2012 Paul Howarth <paul@city-fan.org> - 1.45-1.0.cf
- Update to 1.45:
  - Remove the dependency on DateTime and DateTime::Duration that was
    accidentally added in 1.43 (CPAN RT#75508)

* Fri Mar  2 2012 Paul Howarth <paul@city-fan.org> - 1.44-1.0.cf
- Update to 1.44:
  - This release is based on version 2012b of the Olson database
  - Contemporary changes for Cuba
- Don't need to remove empty directories from buildroot
- Drop support for distributions prior to FC-3:
  - Use DESTDIR rather than PERL_INSTALL_ROOT
  - Don't need to define %%{perl_vendorlib}
  - Never need to BR: aspell-en-gb

* Thu Mar  1 2012 Paul Howarth <paul@city-fan.org> - 1.43-1.0.cf
- Update to 1.43:
  - This release is based on version 2012a of the Olson database
  - Contemporary changes for Armenia, Chile, the Falkland Islands, and Tokelau
- BR: perl(Cwd)
- BR: at least version 0.72 of perl(Params::Validate)
- Add patch to support building with Cwd < 3
- Update patch for old Test::More versions

* Mon Nov  7 2011 Paul Howarth <paul@city-fan.org> - 1.42-1.0.cf
- Update to 1.42:
  - This release is based on version 2011n of the Olson database
  - Contemporary changes for Fiji, Moldova (reversing the 2011m changes), and
    Cuba; the Moldova change removes the Europe/Tiraspol zone added in the
    previous release

* Mon Oct 24 2011 Paul Howarth <paul@city-fan.org> - 1.41-1.0.cf
- Update to 1.41:
  - This release is based on version 2011m of the Olson database
  - Contemporary changes for Brazil, Moldova, and Ukraine

* Mon Oct 10 2011 Paul Howarth <paul@city-fan.org> - 1.40-1.0.cf
- Update to 1.40:
  - This release is based on version 2011l of the Olson database
  - Contemporary changes for Palestine, Fiji, Russia, Belarus, Ukraine, and
    several other post-Soviet states

* Mon Sep 26 2011 Paul Howarth <paul@city-fan.org> - 1.39-1.0.cf
- Update to 1.39:
  - This release is based on version 2011k of the Olson database
  - Contemporary changes for Palestine, Belarus and Ukraine

* Tue Sep 20 2011 Paul Howarth <paul@city-fan.org> - 1.38-1.0.cf
- Update to 1.38:
  - Removed code matching /^package/ in tools/parse_olson, which was confusing
    the metacpan indexer

* Tue Sep 13 2011 Paul Howarth <paul@city-fan.org> - 1.37-1.0.cf
- Update to 1.37:
  - This release is based on version 2011j of the Olson database
  - Contemporary changes for Samoa and historical changes for Kenya, Uganda
    and Tanzania

* Tue Sep  6 2011 Paul Howarth <paul@city-fan.org> - 1.36-1.0.cf
- Update to 1.36:
  - This release is based on version 2011i of the Olson database
  - New zone for South Sudan (Africa/Juba)
  - Changes for Samoa, Kaliningrad (Russia), Alaska, Hawaii,
    Newfoundland/Labrador (Canada) and Resolute Bay
- Update patch for building with old ExtUtils::MakeMaker versions

* Fri Aug 19 2011 Paul Howarth <paul@city-fan.org> - 1.35-3.1.cf
- Can now do a non-bootstrap build

* Fri Aug 19 2011 Paul Howarth <paul@city-fan.org> - 1.35-3.0.cf
- Unbundle from perl-DateTime
- First build is a bootstrap build without perl(DateTime) for testing
